const ToQiFuTong = require('../../../utils/qifutong/baseClient').getInstance();
class PushlogService {
  async getPushFailLogList(pobj) {
    let { appid = "", likeStr = "" } = pobj;
    const data = await ToQiFuTong.getPushFailLogList({
      appid, likeStr
    });
    return data;
  }
  async failLogrePush(pobj) {
    let { content = {}, id } = pobj;
    const data = await ToQiFuTong.failLogrePush({
      content, id
    });
    return data;
  }

  async getGatewayPushFailLogList(pobj) {
    let { likeParams = "", likeError = "" } = pobj;
    const data = await ToQiFuTong.getGatewayPushFailLogList({
      likeParams, likeError
    });
    return data;
  }

  async reGatewayPush(pobj) {
    let { content = {}, id } = pobj;
    const data = await ToQiFuTong.reGatewayPush({
      content, id
    });
    return data;
  }
}
module.exports = PushlogService;